Name:           gcolor2
Version:        0.4
Release:        18
Summary:        A simple color selector for GTK+2

License:        GPLv2
URL:            http://gcolor2.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
# Patch extracted from
# http://patch-tracker.debian.org/patch/nondebian/dl/gcolor2/0.4-2.1
Patch0:         %{name}-0.4-missing-includes.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=716100
# bugs.debian.org/cgi-bin/bugreport.cgi?bug=634606
Patch1:         %{name}-0.4-ftbfs.patch
# fix for default -fno-common in GCC10
Patch2:         %{name}-0.4-gcc10.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gtk2-devel
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl(XML::Parser)

%description
gcolor2 is a simple color selector that was originally based on gcolor, 
ported to use GTK+2, and now has a completely new UI. 

%prep
%autosetup -p1
# make sure path to icon is correct
sed -i 's!/usr/share!%{_datadir}!' %{SOURCE1}


%build
%configure
%make_build


%install
%make_install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}



%files
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Jun 13 2022 tanyulong <tanyulong@kylinos.cn> - 0.4-18
- rebuild and solve compile error

* Thu Jan 31 2019 iSoft <isoft@isoft-linux.com> - 0.4-17
- Rebuilt by iSoft for iSoft
